Name:		perl-Time-y2038
Version:	20100403
Release:	3%{?dist}
Summary:	Versions of Perl's time functions which work beyond 2038
License:	GPL+ or Artistic
Group:		Development/Libraries
URL:		https://metacpan.org/release/Time-y2038
Source0:	http://cpan.metacpan.org/authors/id/M/MS/MSCHWERN/Time-y2038-%{version}.tar.gz
BuildRequires:	perl(base)
BuildRequires:	perl(Config)
BuildRequires:	perl(Exporter)
BuildRequires:	perl(ExtUtils::CBuilder) >= 0.24
BuildRequires:	perl(JSON) >= 2.17
BuildRequires:	perl(lib)
BuildRequires:	perl(Module::Build) >= 0.36
BuildRequires:	perl(strict)
BuildRequires:	perl(Test::Exception) >= 0.27
BuildRequires:	perl(Test::More) >= 0.82
BuildRequires:	perl(Test::Warn) >= 0.11
BuildRequires:	perl(warnings)
BuildRequires:	perl(XSLoader)
Requires:	perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))

# Don't "provide" private Perl libs
%{?perl_default_filter}

%description
On many computers, Perl's time functions will not work past the year 2038.
This is a design fault in the underlying C libraries Perl uses. Time::y2038
provides replacements for those functions, which will work accurately
+/1 142 million years.

%prep
%setup -q -n Time-y2038-%{version}

%build
perl Build.PL installdirs=vendor optimize="%{optflags}"
./Build

%install
./Build install destdir=%{buildroot} create_packlist=0
find %{buildroot} -type f -name '*.bs' -a -size 0 -exec rm -f {} ';'
%{_fixperms} %{buildroot}

%check
./Build test

%files
%doc Changes
%{perl_vendorarch}/auto/Time/
%{perl_vendorarch}/Time/
%{_mandir}/man3/Time::y2038.3pm*
%{_mandir}/man3/Time::y2038::Everywhere.3pm*

%changelog
* Thu Aug 22 2013 Paul Howarth <paul@city-fan.org> - 20100403-3
- Test::More version requirement should be 0.82 (#998269)

* Sun Aug 18 2013 Paul Howarth <paul@city-fan.org> - 20100403-2
- Sanitize for Fedora submission

* Fri Aug 16 2013 Paul Howarth <paul@city-fan.org> - 20100403-1
- Initial RPM version
